Skip to main content
Retrieve pricing rates for voice calls, SMS messages, and phone number rentals by country. API Endpoint
https://api.plivo.com/v1/Account/{auth_id}/Pricing/

The Pricing Object

Attributes

country
string
Name of the country.
country_code
integer
country_iso
string
ISO 3166 Alpha-2 code for the country.
message
object
Pricing for outbound and inbound messages, including network-specific rates.
phone_numbers
object
Pricing for local, mobile, national, and toll-free numbers. Includes monthly rental and setup fees by capability.
voice
object
Pricing for inbound and outbound voice calls. Split by local, toll-free, and IP. Includes prefix-wise rates.

Example Object

{
  "api_id": "7ff5505c-93ca-11e7-9bde-024427e23b8a",
  "country": "United States",
  "country_code": 1,
  "country_iso": "US",
  "message": {
    "inbound": {
      "rate": "0.00000"
    },
    "outbound": {
      "rate": "0.00350"
    },
    "outbound_networks_list": [
      {
        "group_name": "US",
        "rate": "0.00350"
      },
      {
        "group_name": "United States - AT&T Mobility",
        "rate": "0.00350"
      }
    ]
  },
  "phone_numbers": {
    "local": {
      "rate": "1.0000",
      "rates": [
        {
          "capabilities": ["voice", "sms"],
          "rental_rate": "1.00",
          "setup_rate": "0.50"
        },
        {
          "capabilities": ["voice"],
          "rental_rate": "1.00",
          "setup_rate": "0.00"
        }
      ]
    },
    "tollfree": {
      "rate": "1.00000",
      "rates": [
        {
          "capabilities": ["voice", "sms"],
          "rental_rate": "1.00",
          "setup_rate": "0.30"
        }
      ]
    }
  },
  "voice": {
    "inbound": {
      "ip": {
        "rate": "0.00300"
      },
      "local": {
        "rate": "0.00850"
      },
      "tollfree": {
        "rate": "0.02100"
      }
    },
    "outbound": {
      "ip": {
        "rate": "0.00300"
      },
      "local": {
        "rate": "0.00750"
      },
      "rates": [
        {
          "prefix": ["1"],
          "rate": "0.00750"
        }
      ],
      "tollfree": {
        "rate": null
      }
    }
  }
}

Retrieve Pricing for a Country

Get pricing information for a specific country.
GET https://api.plivo.com/v1/Account/{auth_id}/Pricing/

Arguments

country_iso
string
required
Two-character ISO country code. Example: US for United States.

Example

import plivo

client = plivo.RestClient('<auth_id>', '<auth_token>')

response = client.pricing.get(country_iso='US')
print(response)

Response

{
  "api_id": "7ff5505c-93ca-11e7-9bde-024427e23b8a",
  "country": "United States",
  "country_code": 1,
  "country_iso": "US",
  "message": {
    "inbound": {
      "rate": "0.00000"
    },
    "outbound": {
      "rate": "0.00350"
    },
    "outbound_networks_list": [
      {
        "group_name": "US",
        "rate": "0.00350"
      }
    ]
  },
  "phone_numbers": {
    "local": {
      "rate": "0.80000"
    },
    "tollfree": {
      "rate": "1.00000"
    }
  },
  "voice": {
    "inbound": {
      "ip": {
        "rate": "0.00300"
      },
      "local": {
        "rate": "0.00850"
      },
      "tollfree": {
        "rate": "0.02100"
      }
    },
    "outbound": {
      "ip": {
        "rate": "0.00300"
      },
      "local": {
        "rate": "0.00750"
      },
      "rates": [
        {
          "prefix": ["1"],
          "origination_prefix": [""],
          "rate": "0.00750"
        }
      ],
      "tollfree": {
        "rate": null
      }
    }
  }
}